import { Signer, ContractFactory, Overrides } from "ethers";
import type { Provider, TransactionRequest } from "@ethersproject/providers";
import type { PromiseOrValue } from "../../../../common";
import type { Address, AddressInterface } from "../../../../@openzeppelin/contracts/utils/Address";
declare type AddressConstructorParams = [signer?: Signer] | ConstructorParameters<typeof ContractFactory>;
export declare class Address__factory extends ContractFactory {
    constructor(...args: AddressConstructorParams);
    deploy(overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<Address>;
    getDeployTransaction(overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): TransactionRequest;
    attach(address: string): Address;
    connect(signer: Signer): Address__factory;
    static readonly bytecode = "0x608060405234601957604051603f9081601f823930815050f35b600080fdfe6080604052600080fdfea26469706673582212209c75d359324ae823fbc728472851b031d90ac6d38b46025b07e293a64708a5bc64736f6c63430008140033";
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        type: string;
    }[];
    static createInterface(): AddressInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): Address;
}
export {};
